#!/bin/sh
# the next line restarts using expect\
exec /usr/local/bin/expect  "$0" "$@"
 
#
#    Unix Backup tool  - UBTool
#    Copyright (c) G. ROBERT 1997-1998
# 
#    Version 1.2
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#    See the file "COPYING" in the base directory of this distribution
#    for more.
#
#
# =============================================================================
#
#                           START FILE FOR UBT
#
# =============================================================================
#
 
set ubt(BackupHome)             /home/robert/tmp1/BACKUP
set ubt(BackupLib)              $ubt(BackupHome)/lib/
set ubt(BackupData)             $ubt(BackupHome)/data/
set ubt(BackupLog)              $ubt(BackupHome)/log/
set ubt(BackupIcon)             $ubt(BackupHome)/images/

# =============================================================================
#       General Initialisation
#       Do not change these values
# =============================================================================

set Year [exec date "+%Y"]

source $ubt(BackupLib)/UBTdefaultcron.tcl

source $ubt(BackupLib)/UBTdefault.tcl

foreach f [glob $ubt(BackupLib)/ubt*cron.tcl] {
    source $f
}

if {$argc != 1} {
        error "Usage: ubtoolcron [data file]"
} else {
	set ubt(BackupMode) "file"
        set ubt(DefaultFile) [lindex $argv 0] 
}

set CAT_SPAWN_ID        0
set NbrFS               0.0
set TotalMb             0.0
set ConfigPred          0
set Bytes               0
set WarningErrors       0
set append              "a"
set Date                [exec date "+-%h.%d.%y"] 
set TypeList            {}
set MachineList         ""
set UBTLocked           0

ReadConfFile
RunBackup 0

# Send Mail to Mail_Receiver
set MailTo [concat $ubt(mail_prog) $ubt(mail_options) $ubt(mail_to) " < " $ubt(log_file) ]

if [catch {eval exec $MailTo } ] {
    Warning "Cannot execute Mail command '$MailTo'" "Warning" 1
}
