# =============================================================================
#
# File:         UBTdefault.tcl
# Project:      UBTool
#
# Started:      06.08.96
# Changed:      25.09.97
#
# Gilbert ROBERT (c) 1997


# =============================================================================#
#  Set up the Default Variables
#
# =============================================================================

#	Data Files
#
set ubt(log_prefix)             $Year/backup.log-
set ubt(lock_file)		$ubt(BackupData)/.lock
set ubt(data_tpl_prefix)        "data.tpl."
set ubt(data_prefix)            "data."
set ubt(log_file) 		""
set ubt(DefaultDataFile)	$ubt(BackupData)/data.example
set ubt(Temporary)		/tmp/
set ubt(tape_name)		""

#	Backup Machine
#
set ubt(mach_todo_backup)	$ubt(hostname)
set ubt(tape_device)		"/dev/rmt/0cn"

#	Programs
#
set ubt(loc_backup_prog)	/usr/sbin/ufsdump
set ubt(rem_backup_prog)	/usr/local/bin/ubtdump
set ubt(rsh)			/usr/bin/rsh
set ubt(tape_prog)		/usr/bin/mt
set ubt(BackupCnf)		$ubt(BackupHome)/bin/ubt.cnf
set ubt(wrapg)		        /usr/local/bin/wrapg

#       Mail 
#
set ubt(mail_prog)		/usr/ucb/mail
set ubt(mail_options)   	" -s UBT_Backup_Log "
set ubt(mail_to)		"Gilbert.Robert@issco.unige.ch,Dominique.Petitpierre@issco.unige.ch"

#	Backup Options
#
set ubt(backup_options) 	[list 0ubsdf 126 27000 56000]
set ubt(BackupMode)		"full"
set ubt(BackupType)		"!all"
set ubt(backup_wait)		10

set ubt(tape_prog_opts) 	-f
set ubt(TapeBeforeAction)	""
set ubt(TapeAfterAction)	""

set ubt(TimeToStart)		"now"
set ubt(UserAuth)		{root su robert}

#
#	Backtool fonts

set font(Status) 	"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*-*"
set font(Label) 	"-adobe-helvetica-bold-r-normal--12-*-*-*-*-*-*-*"
set font(Menu) 		"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*"
set font(Button)	"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*"
set font(Canvas) 	"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*-*"
set font(Mode) 		"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*-*"
set font(Command) 	"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*-*"
set font(Banner) 	"-*-Times-Bold-R-Normal--18-180-*-*-*-*-*-*"
set font(BackupSize) 	"-adobe-helvetica-bold-r-*--10-*-*-*-*-*-*-*"
set font(LogTitle) 	"-*-Helvetica-Bold-R-*--14-*-*-*-*-*-*-* "
set font(LogConfig) 	"-*-Helvetica-Bold-R-Normal--10-*-*-*-*-*-*-*"
set font(LogBackup)     "-*-Helvetica-Bold-R-Normal--10-*-*-*-*-*-*-*"
set font(Entry)	 	"-adobe-helvetica-bold-r-normal--10-*-*-*-*-*-*-*"
set font(Machine)       "-adobe-helvetica-bold-r-normal--12-*-*-*-*-*-*-*"
set font(Device)        "-adobe-helvetica-medium-r-normal--10-*-*-*-*-*-*-*"

#
#       Background definitions

set bg(Menu)   #cFcFcF
set bg(Banner) grey
set bg(Status) #cFcFcF
set bg(Log)    #cFcFcF
set bg(Label)  #cFcFcF
set bg(Entry)  #cFcFcF

# 
#       Foreground definitions

set fg(Menu)     black
set fg(ButtonStrong) #aa0000
set fg(Button)   black
set fg(Banner)   #5F9F9F
set fg(Label)    #5F9F9F
set fg(Status)   yellow
set fg(Entry)    black
set fg(Machine)  #5F9F9F
set fg(Device)   black
set fg(LogTitle) black


