# =============================================================================
#
# File:         ubtconfigcron.tcl
# Project:      UBTool
#
# Started:      06.08.95
# Changed:      11.05.98
#
# Gilbert ROBERT (c) 1998


# =============================================================================
#
# If the user want to backup from an already defined config file, read it
# and create the option window.
#
# =============================================================================

proc ReadConfFile {} {

    global	ubt

    # Read Backup type definition 
    append fileI \
	    $ubt(BackupData) \
	    $ubt(DefaultFile)
    TextLoadFileCron $fileI 
    return 0
}


# =============================================================================
#
# Config Verifications
#
# =============================================================================
proc verif_config {} {
    global	ubt ConfigPred
    
    if { $ConfigPred == 0 }  {
	Warning	"You have to read the configuration!" "Warning" 1
	return 1
    }
    if { [lsearch -exact $ubt(UserAuth) $ubt(username)] == -1 } {
	Warning	"You don't have the authorisation !" "Warning" 1
	return 1
    }
    if { $ubt(mach_todo_backup) == "" } {
	Warning "The Machine to run the backup is not defined!" "Warning" 1
	return 1
    }
    if { $ubt(tape_device) == "" } {
	Warning	"The device file is not defined!" "Warning" 1
	return 1
    }
    if { ($ubt(loc_backup_prog) == "") || ($ubt(backup_options) == "") || \
	    ($ubt(rem_backup_prog) == "") || ($ubt(rsh) == "")} {
	Warning	"You have to define the programs and their options!" \
		"Warning" 1
	return 1
    }
    return 0
}
