# =============================================================================
#
# File:         ubtconfig.tcl
# Project:      UBTool
#
# Started:      06.08.95
# Changed:      25.09.97
#
# Gilbert ROBERT (c) 1997


# =============================================================================
#
# If the user want to backup from an already defined config file, read it
# and create the option window.
#
# =============================================================================

proc ReadConfFile {} {

    global	ubt MachineList 

    # Read Backup type definition 
    PrintStatus "Please wait, Configuration in progress ....";
    if {[string compare $ubt(BackupMode) "file"] != 0} {
	append fileI \
		$ubt(BackupData) \
		$ubt(data_tpl_prefix) \
		$ubt(BackupMode)
	append fileO \
		$ubt(Temporary) \
		$ubt(data_prefix) \
		$ubt(BackupMode)
	# Copy the template file
	if [catch { exec cp $fileI $fileO } ] {
	    Warning "Cannot open file: $fileI $fileO \n\
		    You don't the permission to write in this directory.\n\
Ask you system administrator to solve this problem !" "Warning" 1
	    return 1
	} else {
	    if [catch {exec chmod ug+rw $fileO} ] {
		Warning "Cannot change the permissions of \n\
the file $fileO !\n\
Ask your system administrator for help\n" "Warning" 1
            }
	    PreTextLoadFile $fileI
	    busy_on
	    sleep 1
	    spawn -noecho $ubt(BackupCnf) $ubt(BackupType)\
		    $ubt(BackupHome) $MachineList $fileO
	    
	    expect
	    wait
	    PrintStatus "Configuration succeed.";
	    CreateOptionsWindow
	    TextLoadFile $fileO
	    busy_off
	    return 0
	}
    } else {
	CreateOptionsWindow
	TextLoadFile $ubt(DefaultFile)
	return 0
    }
}


# =============================================================================
#
# Config Verifications
#
# =============================================================================
proc verif_config {} {
	global	ubt ConfigPred

	if { $ConfigPred == 0 }  {
	    Warning	"You have to read the configuration!" "Warning" 1
	    return 1
	}
	if { [lsearch -exact $ubt(UserAuth) $ubt(username)] == -1 } {
	    Warning	"You don't have the authorisation !" "Warning" 1
	    return 1
	}
	if { $ubt(mach_todo_backup) == "" } {
	    Warning "The Machine to run the backup is not defined!" "Warning" 1
	    return 1
	}
	if { $ubt(tape_device) == "" } {
	     Warning	"The device file is not defined!" "Warning" 1
	     return 1
	}
	if { ($ubt(loc_backup_prog) == "") || ($ubt(backup_options) == "") || \
	     ($ubt(rem_backup_prog) == "") || ($ubt(rsh) == "")} {
	      Warning	"You have to define the programs and their options!" \
				"Warning" 1
	      return 1
	}
	return 0
}
