# =============================================================================
#
# File:         ubtmtcron.tcl
# Project:      UBTool
#
# Started:      06.08.95
# Changed:      11.05.98
#
# magnetic tape control
#
# Arguments:
#
# =============================================================================
 

# =============================================================================
#      
#  Perform the action on the tape before or after backup.
#
# =============================================================================
proc tape_action { Device Argument w} {
	global ubt

	regsub -all \" $Argument \0 Arg
	if { ($Arg == "") || ($Device == "")} { 
	    Warning " Tape Action: Device or arguments undefined !" \
		    "Warning" 1
	    return 0
	}
	# If the machine to do backup = hostname
	if {[string compare $ubt(mach_todo_backup) $ubt(hostname)] == 0} {
	    set Act [concat $ubt(wrapg) $ubt(tape_prog) \
			$ubt(tape_prog_opts) $Device $Arg]
	} else { 
	    set Act [concat $ubt(wrapg) $ubt(rsh) $ubt(mach_todo_backup) \
		     -l $ubt(username) $ubt(tape_prog) $ubt(tape_prog_opts) \
		     $Device $Arg]
	}

	# Action on tape
	busy_on
	sleep 1
	set timeout 180
	eval spawn $Act

	expect {
		-re "ERROR.*" {
			set Message $expect_out(buffer)
			Warning "Couldn't execute \"$ubt(tape_prog)\" \
				on tape (machine: $ubt(mach_todo_backup)) " \
				"Error" 1
			return 1
		}
		-re "usage.*" {
			set Message $expect_out(buffer)
			Warning "Couldn't execute \"$ubt(tape_prog)\" \
				on tape (machine: $ubt(mach_todo_backup)) " \
				"Error" 1
			return 1
		}
		timeout { 
		        Warning " Action on tape timeout ..." "Warning" 1
		        return 1
		}
		eof {
		        Warning "End of action on tape: $Argument" "Warning" 0
		}
		default { 
			set Message $expect_out(buffer)
			return 1 
		}
	}
	wait
	busy_off
	return 0
}
