# =============================================================================
#
# File:         ubtoptions.tcl
# Project:      UBTool
#
# Started:      06.08.95
# Changed:      11.05.98
#
# Gilbert ROBERT (c) 1998



# =============================================================================
#
# Read the first lines of the given configuration file to know:
#
#    - The machine list to backup
#    - The type of the backup
#
# =============================================================================
proc PreTextLoadFile {file} {
    global  MachineList ubt

    if [catch  {open $file} f ] {
		error "Cannot open $file"
    } 
    set Total	0

    while { [gets $f line] >=0 } {
    regexp {^[#	 ]*([^	 #]*)[	 ]*([^	#]*)[	 ]*([^	#]*)[	 ]*([^	#]*)}\
		$line  test1 test2 test3 test4 test5
	if { $test3 != "" } {
	   case $test2 in {
		{machines_to_backup} { set MachineList $test3 }
		{backup_type}	     { set ubt(BackupType)  $test3 }
	   }
       }
    }
    close $f
}

# =============================================================================
proc TextLoadFileCron {file} {
    global  TabNew ubt ConfigPred NbrFS

    if [catch  {open $file} f ] {
	error "Cannot open $file"
    } 
    set Total	0
    set NbrFS   0.0
    # 
    # Clean the Array Tab & The window Text
    foreach index [array names TabNew] {
	unset TabNew($index)
    }
    
    while { [gets $f line] >=0 } {
	regexp {^[#	 ]*([^	#]*)[ 	]*([^	#]*)[ 	]*([^	#]*)[	 ]*([^	#]*)}\
	    $line  test1 test2 test3 test4 test5
     if { $test3 != "" } {
	case $test2 in {
	    {mach_todo_backup} { set ubt(mach_todo_backup) $test3 }
	    {loc_backup_prog}  { set ubt(loc_backup_prog) $test3 }
	    {rem_backup_prog}  { set ubt(rem_backup_prog) $test3 }
	    {backup_wait}      { set ubt(backup_wait) $test3 }
	    {backup_options}   { set ubt(backup_options) $test3 }
	    {mail_options}     { set ubt(mail_options) $test3 }
	    {mail_prog}	       { set ubt(mail_prog) $test3 }
	    {backup_options}   { set ubt(backup_options) $test3 }
	    {remote_shell}     { set ubt(rsh) $test3 }
	    {tape_device}      { set ubt(tape_device) $test3 }
	    {tape_after_action}  { set ubt(TapeAfterAction) $test3}
	    {tape_before_action} { set ubt(TapeBeforeAction) $test3}
	    {tape_prog}	       { set ubt(tape_prog) $test3 }
	    {tape_prog_opts}   { set ubt(tape_prog_opts) $test3}
	    {tape_name}	       { set ubt(tape_name) $test3 }
	    {mach_name}	       { set NewMach $test3
	                         set TabNew($NewMach) "" }
	    {filesystem}       {
		if { $test5 != ""} {
		    set Len [expr [string length $test5] - 3]
		    incr Total [string range $test5 0 $Len]
		    set util "$test3\t$test4\t$test5"
		} else {
		    set util "$test3\t$test4"
		}
		set NbrFS [expr $NbrFS + 1.0]
		lappend TabNew($NewMach) $util
	    }  	
	}
      }
  }
  append ubt(log_file) \
            $ubt(BackupLog)  \
            $ubt(log_prefix) \
            $ubt(BackupMode) \
            $ubt(tape_name)
  set ConfigPred 1
  close $f
}



