/* hdup header file
 *
 * Author: Miek Gieben
 * Date: Wed, 27 feb, 2002
 */

/*#define DEBUG */

#include<stdio.h>
#include<stdlib.h>
#include<stdarg.h>
#include<unistd.h>
#include<string.h>
/* included to fix Solaris compile warning */
#include<strings.h>

#include<ctype.h>
#include<pwd.h>
#include<time.h>
#include<glob.h>
#include<sys/stat.h>
#include<sys/types.h>
#include<sys/wait.h>

#define PROGNAME    "hdup"
#define VERSION     "1.3.6-3 [stable]"
#define TAR         "##TAR##"
#define MCRYPT      "##MCRYPT##"
#define MDECRYPT    "##MDECRYPT##"
#define SCP         "##SCP##"
#define SSH         "##SSH##"
#define ETCFILE     "##HDUPCONF##"
#define FILELIST    "/filelist"
#define EXCLUDELIST "/excludelist"
#define MUTE        " > /dev/null 2>&1"


#ifndef MAXPATHLEN /* fix warn on Cygwin */
#define MAXPATHLEN 256
#endif /*MAXPATHLEN*/
#define OVERVIEW   50
#define MAXDIR     10
#define MAXHOST    5
#define DOTEND     13

#define TAR_NONE   "cpf"
#define TAR_GZIP   "cpfz"
#define TAR_BZIP   "cpfj"
#define TAR_BZIPO  "cpfI"

#define DAILY   0
#define WEEKLY  1
#define MONTHLY 2
#define REMOTE  3
#define RESTORE 4

#define LOCK    0
#define UNLOCK  1

#define GIGABYTE 1073741824
#define MEGABYTE 1048576
#define KILOBYTE 1024
#define SECDAY   86400

#define PREV       -1
#define NEXT       1
#define MAXRESTORE 100
#define NONE       0
#define NONE_EXT   ".tar"
#define GZIP       1
#define GZIP_EXT   ".tar.gz"
#define BZIP       2
#define BZIP_EXT   ".tar.bz2"
#define BZIPO      3
#define BZIPO_EXT  ".tar.bz2"
#define MCRYPT_EXT ".nc"

/* the number of keywords */
#define KEYWORDS    8
/* the keywords are defined in hdupconf.c */
#define KEY_BACKUP  0
#define KEY_EXCLUDE 1
#define KEY_REMOTE  2
#define KEY_SCP_OPT 3
#define KEY_USER    4
#define KEY_COMP    5
#define KEY_PRE     6
#define KEY_POST    7

struct option_t {
        unsigned int remove  :1;
        unsigned int exclude :1;
        char *alg;
        char *keypath;
        char *configpath;
};

struct argument_t {
        int scheme;
        char *host;
        char *date;
        char *extractdir;
};

/* hold all the info about a specific host */
struct host {
        char *name;
        char *path[MAXDIR];
        char *exclude[MAXDIR];
        char *user;
        char *keypath;
        char *alg;
        char *configpath;
        char *remote_path;
        char *tar_opt;  /* compression is hiding in here */
        char *date;
        char *basename;
        char *dirname_date;
        char *dirname_etc;
        char *filelist;
        char *excludelist;
        char *inclist;
        char *archivename;
        char *prerun;
        char *postrun;
        unsigned int remove;
        unsigned int oldtar;
        /* define own scp option's */
        char *scp_opt;
        char *remote;
};

extern unsigned int quiet;
extern char *scheme[];
extern char *keyword[];
extern char *dots;
extern char *spaces;
typedef struct host host_t;
typedef struct host * phost_t;
